/*

Kana of The Day -- Japanese kana learning application for Maemo Fremantle.
Copyright (C) 2012 M. Hossein Azadmanesh (mhazadmanesh2009@gmail.com)

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

*/

#include <QScrollArea>
#include <QLabel>

class ScrollableLabel : public QScrollArea
{
public:
    ScrollableLabel(const QString& text, QWidget* parent = NULL) : QScrollArea(parent)
    {
        QLabel* m_lbl = new QLabel(text);
        m_lbl->setContentsMargins(8, 8, 8, 8);
        m_lbl->setWordWrap(true);

        //Didn't work; The label's margins did work, so this isn't needed: setContentsMargins(8, 8, 8, 8);
        setHorizontalScrollBarPolicy(Qt::ScrollBarAlwaysOff);
        setVerticalScrollBarPolicy(Qt::ScrollBarAsNeeded); //This is the default value of course.
        setWidgetResizable(true);
        setWidget(m_lbl);
    }
};
